import request from '../base/ajax';
// 搜索
export function searchAudio(current, pageSize, keyWord) {
  return request({
    url: `/v1/audio/list?current=${current}&pageSize=${pageSize}&keyword=${keyWord}`,
    method: 'get'
  });
}
// 查询详情
export function getAudioDetail(audioId) {
  return request({
    url: `/v1/audio/info/${audioId}`,
    method: 'get'
  });
}
// 下载war文件
export function downloadWar(fileId, audioId) {
  return request({
    url: `/v1/audio/download/${fileId}/${audioId}`,
    method: 'get',
    responseType: 'blob'
  });
}

// 获取文件信息
export function getFileTree() {
  return request({
    url: `/v1/audio/file_tree`,
    method: 'get'
  });
}

// 同步数据
export function syncData(path) {
  return request({
    url: `/v1/audio/sync_data?path=${path}`,
    method: 'get'
  });
}

// 已解析文件路径
export function getParsedFilePath() {
  return request({
    url: `/v1/audio/select_file`,
    method: 'get'
  });
}
